<?php

namespace App\Controller;

use App\Entity\Theme;
use App\Repository\ThemeRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

final class ThemeController extends AbstractController
{
    #[Route('/', name: 'themes')]
    public function index(ThemeRepository $repository): Response
    {
        return $this->render('theme/index.html.twig', [
            'themes' => $repository->findAll(),
        ]);
    }

    #[Route('/themes/{id}', name: 'theme')]
    public function show(Theme $theme): Response
    {
        return $this->render('theme/show.html.twig', [
            'theme' => $theme,
        ]);
    }
}
